package org.esjug.seamcms.domain;

import java.util.Date;

import javax.persistence.Basic;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.validator.Length;
import org.hibernate.validator.NotNull;

@Entity
public class WebPage extends DomainObject {
	@Basic
	@NotNull
	@Length(max = 200)
	private String title;
	
	@Temporal(TemporalType.TIMESTAMP)
	@NotNull
	private Date creationDate;
	
	@Temporal(TemporalType.TIMESTAMP)
	@NotNull
	private Date lastUpdateDate;
	
	@Lob
	@NotNull
	private String contents;

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Date getCreationDate() {
		return creationDate;
	}

	public void setCreationDate(Date creationDate) {
		this.creationDate = creationDate;
	}

	public Date getLastUpdateDate() {
		return lastUpdateDate;
	}

	public void setLastUpdateDate(Date lastUpdateDate) {
		this.lastUpdateDate = lastUpdateDate;
	}

	public String getContents() {
		return contents;
	}

	public void setContents(String contents) {
		this.contents = contents;
	}
}
