package org.esjug.seamcms.persistence;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.esjug.seamcms.domain.User;
import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.AutoCreate;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

@AutoCreate
@Name("userDAO")
@Scope(ScopeType.APPLICATION)
@Stateless
public class SeamUserDAO extends SeamBaseDAO<User> implements UserDAO {
	@PersistenceContext
	private EntityManager entityManager;

	@Override
	protected Class<User> getDomainClass() {
		return User.class;
	}

	@Override
	protected EntityManager getEntityManager() {
		return entityManager;
	}
}
